/*
******************************************************************************

   Edemo implementation for X target - API functions.
   (Normally the functions would go in init.c when we have this few, but I
    want to show you how to properly use more than one file in a sublib.)

   Authors:	1999 Marcus Sundberg	[marcus@ggi-project.org]
  
   This code is placed in the public domain and may be used freely for any
   purpose.

   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
   IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
   THE AUTHOR(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
   IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
   CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

******************************************************************************
*/

#include <stdio.h>
#include "xedemo.h"


/* _All_ non-local (ie not declared 'static') functions and variables _must_
   be prefixed with the extension name, and for sublibs also with a unique
   sublib identifier. This is to keep the namespace clean on systems where
   all symbols are exported by default.
*/

int EDEMO_X_function1(ggi_visual_t vis, int arg1)
{
	printf("LibEDEMO: EDEMO_X_function1(%p, %d) called\n", vis, arg1);

	return 0;
}	/* EDEMO_X_function1 */


int EDEMO_X_function2(ggi_visual_t vis, int arg1, int arg2)
{
	printf("LibEDEMO: EDEMO_X_function2(%p, %d, %d) called\n",
	       vis, arg1, arg2);

	return 0;
}	/* EDEMO_X_function2 */
